<?php if( get_option( 'ace_blog_list_layout' ) == 'grid-blog' ) { // Blog page layout ?>


	<article <?php post_class( 'article article-list' ); ?> id="post-<?php the_ID(); ?>" itemscope itemtype="https://schema.org/CreativeWork">

		<header class="post-header">
			<h2 class="post-title entry-title" itemprop="headline"><a itemscope itemprop="mainEntityOfPage" itemType="https://schema.org/WebPage" href="<?php the_permalink(); ?>" rel="<?php esc_attr_e( 'bookmark', 'ace' ); ?>" title="<?php the_title_attribute(); ?>" <?php if ( get_option( 'ace_new_window' ) ) { echo 'target="_blank"'; } ?>><?php the_title(); ?></a></h2>
			<ul class="post-meta">
				<?php if( !get_option( 'ace_hide_date' ) ) { ?><li class="post-date"><span itemprop="dateModified"><time itemprop="datePublished" content="<?php the_time( get_option( 'date_format' ) ); ?>" class="updated"><?php the_time( get_option( 'date_format' ) ); ?></time></span></li><?php } ?>
				<?php if( !get_option( 'ace_hide_category' ) ) { ?><li class="post-category"><?php the_category( ', ' ); ?></li><?php } ?>
				<?php if( !get_option( 'ace_hide_comment' ) ) { ?><li class="post-comment"><?php comments_popup_link( __( '0 comments', 'ace' ), __( '1 Comment', 'ace' ), __( '% Comments', 'ace' ) ); ?></li><?php } ?>
				<?php if( !get_option( 'ace_blog_author' ) ) { ?><li class="post-author"><?php _e( 'by', 'ace' ); ?> <span itemprop="author" itemscope itemtype="https://schema.org/Person" class="author vcard"><span itemprop="name" class="fn"><?php the_author(); ?></span></span></li><?php } ?>
			</ul><!-- .post-meta -->
		</header>

		<article class="post-content entry-content" itemprop="text">
			<?php if( get_option( 'ace_enable_post_thumbnail' ) ) {
			if( has_post_thumbnail() ) { ?>
			<figure>
				<a href="<?php the_permalink(); ?>" <?php if ( get_option( 'ace_new_window' ) ) { echo 'target="_blank"'; } ?>><?php the_post_thumbnail( 'post_thumb', array( 'class' => 'post-thumb' ) ); ?></a>
			</figure>
			<?php }
			} ?>
		</article><!-- .post-content -->

	</article><!-- .article -->


<?php } else { // Blog page layout ?>


	<article <?php post_class( 'article' ); ?> id="post-<?php the_ID(); ?>" itemscope itemtype="https://schema.org/CreativeWork">

		<header class="post-header">
			<h2 class="post-title entry-title" itemprop="headline"><a itemscope itemprop="mainEntityOfPage" itemType="https://schema.org/WebPage" href="<?php the_permalink(); ?>" rel="<?php esc_attr_e( 'bookmark', 'ace' ); ?>" title="<?php the_title_attribute(); ?>" <?php if ( get_option( 'ace_new_window' ) ) { echo 'target="_blank"'; } ?>><?php the_title(); ?></a></h2>
			<ul class="post-meta">
				<?php if( !get_option( 'ace_hide_date' ) ) { ?><li class="post-date"><span itemprop="dateModified"><time itemprop="datePublished" content="<?php the_time( get_option( 'date_format' ) ); ?>" class="updated"><?php the_time( get_option( 'date_format' ) ); ?></time></span></li><?php } ?>
				<?php if( !get_option( 'ace_hide_category' ) ) { ?><li class="post-category"><?php the_category( ', ' ); ?></li><?php } ?>
				<?php if( !get_option( 'ace_hide_comment' ) ) { ?><li class="post-comment"><?php comments_popup_link( __( '0 comments', 'ace' ), __( '1 Comment', 'ace' ), __( '% Comments', 'ace' ) ); ?></li><?php } ?>
				<?php if( !get_option( 'ace_blog_author' ) ) { ?><li class="post-author"><?php _e( 'by', 'ace' ); ?> <span itemprop="author" itemscope itemtype="https://schema.org/Person" class="author vcard"><span itemprop="name" class="fn"><?php the_author(); ?></span></span></li><?php } ?>
			</ul><!-- .post-meta -->
		</header>

		<article class="post-content entry-content" itemprop="text">
			<?php if( get_option( 'ace_enable_post_thumbnail' ) ) {
			if( has_post_thumbnail() ) { ?>
			<figure>
				<a href="<?php the_permalink(); ?>" <?php if ( get_option( 'ace_new_window' ) ) { echo 'target="_blank"'; } ?>><?php the_post_thumbnail( 'post_thumb', array( 'class' => 'post-thumb' ) ); ?></a>
			</figure>
			<?php }
			} ?>
			<?php if( get_option( 'ace_enable_excerpt' ) ) { the_excerpt(); } else { the_content(); } ?>
		</article><!-- .post-content -->

	</article><!-- .article -->


<?php } // Blog page layout ?>