<article <?php post_class( 'article' ); ?> id="post-<?php the_ID(); ?>" itemscope itemtype="https://schema.org/CreativeWork">

	<header class="post-header">
		<h1 class="post-title entry-title" itemprop="headline"><a itemscope itemprop="mainEntityOfPage" itemType="https://schema.org/WebPage" href="<?php the_permalink(); ?>" rel="<?php esc_attr_e( 'bookmark', 'ace' ); ?>" title="<?php the_title_attribute(); ?>" <?php if ( get_option( 'ace_new_window' ) ) { echo 'target="_blank"'; } ?>><?php the_title(); ?></a></h1>
		<ul class="post-meta">
			<?php if( !get_option( 'ace_hide_date' ) ) { ?><li class="post-date"><span itemprop="dateModified"><time itemprop="datePublished" content="<?php the_time( get_option( 'date_format' ) ); ?>" class="updated"><?php the_time( get_option( 'date_format' ) ); ?></time></span></li><?php } ?>
			<?php if( !get_option( 'ace_hide_category' ) ) { ?><li class="post-category"><?php the_category( ', ' ); ?></li><?php } ?>
			<?php if( !get_option( 'ace_hide_comment' ) ) { ?><li class="post-comment"><?php comments_popup_link( __( '0 comments', 'ace' ), __( '1 Comment', 'ace' ), __( '% Comments', 'ace' ) ); ?></li><?php } ?>
			<?php if( !get_option( 'ace_blog_author' ) ) { ?><li class="post-author"><?php _e( 'by', 'ace' ); ?> <span itemprop="author" itemscope itemtype="https://schema.org/Person" class="author vcard"><span itemprop="name" class="fn"><?php the_author(); ?></span></span></li><?php } ?>
		</ul><!-- .post-meta -->
	</header>

	<article class="post-content entry-content" itemprop="text">

		<?php the_content(); ?>

		<?php echo ace_get_link_pages(); ?>

		<?php if ( get_option( 'ace_post_signature' ) ) { ?>
		<figure><img src="<?php echo esc_url( get_option( 'ace_post_signature' ) ); ?>" alt="<?php the_author(); ?>" class="post-signature" /></figure>
		<?php } ?>

		<?php if( function_exists( 'ace_post_author_bio' ) ) { echo ace_post_author_bio(); } ?>

	</article><!-- .post-content -->

	<footer class="post-footer">
		<?php if( !get_option( 'ace_hide_tag' ) ) { the_tags( '<p class="post-tags">Tags: ', ', ', '</p>' ); } ?>
		<ul class="footer-navi">
			<?php previous_post_link( __( '<li class="previous" rel="prev">&laquo; %link</li>', 'ace' ) ); ?>
			<?php next_post_link( __( '<li class="next" rel="next">%link &raquo;</li>', 'ace' ) ); ?>
		</ul>
		<?php if ( get_option( 'ace_post_banner' ) ) { ?>
		<section class="post-banner">
			<?php echo stripslashes( get_option( 'ace_post_banner' ) ); ?>
		</section>
		<?php } ?>
		<?php if( get_option( 'ace_enable_related' ) ) { get_template_part( 'layouts/related' ); } ?>
	</footer><!-- .post-footer -->

	<?php if( comments_open() || get_comments_number() ) { comments_template(); } ?>

</article><!-- .article -->