<?php
//// ==================================================================
// Theme options settings
//// ==================================================================
$themename  = 'Theme';
$shortname  = 'ace_';
$options    = array (

array(
  'name'  =>  'Theme',
  'type'  =>  'header'
),

//// ==================================================================
// General
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="general">' ),
array(
  'name'  => 'Enable HTML minify and remove resources strings',
  'id'    => $shortname.'enable_minify',
  'type'  => 'checkbox',
  'note'  => 'Please use with caution, disable this if you find any issue with the site',
),
array(
  'name'  => 'Enable flyingpages.js inner pages prefetch',
  'id'    => $shortname.'enable_prefetch',
  'type'  => 'checkbox',
  'note'  => 'Please use with caution, disable this if you find any issue with the site',
),
array(
  'name'  => 'Remove legacy jquery-migrate.js',
  'id'    => $shortname.'remove_jquery_migrate',
  'type'  => 'checkbox',
  'note'  => 'Please use with caution, disable this if you find any issue with the site',
),
array(
  'name'  => 'Disable Colorbox pop-up',
  'id'    => $shortname.'disable_colorbox',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Disable fixed menu',
  'id'    => $shortname.'disable_fixed_menu',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Remove sidebar on blog page',
  'id'    => $shortname.'full_blog',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'    =>  'Blog listing layout',
  'id'      =>  $shortname.'blog_list_layout',
  'type'    =>  'image',
  'std'     =>  'classic-blog',
  'options' =>  array(
    array('name'  => 'classic-blog', 'value' => 'blog-classic.gif', 'desc'=>'Classic'),
    array('name'  => 'grid-blog', 'value' => 'blog-grid.gif', 'desc'=>'Grid'),
  ),
),
array(
  'name'    =>  'Blog layout',
  'id'      =>  $shortname.'blog_layout',
  'type'    =>  'image',
  'std'     =>  'blog-content-sidebar',
  'options' =>  array(
    array('name'  => 'blog-content-sidebar', 'value' => 'blog-content-sidebar.gif', 'desc'=>'Content - Sidebar'),
    array('name'  => 'blog-sidebar-content', 'value' => 'blog-sidebar-content.gif', 'desc'=>'Sidebar - Content'),
  ),
),
array(
  'name'  => 'Open blog link in new windows',
  'id'    => $shortname.'new_window',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Footer credit',
  'id'    => $shortname.'footer_credit',
  'type'  => 'textarea',
  'note'  => '',
),
array(
  'name'  => 'Disable privacy link at footer',
  'id'    => $shortname.'privacy',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Text before comment',
  'id'    => $shortname.'comment_text',
  'type'  => 'textarea',
  'note'  => 'Text before comment. You can place privacy concern or terms before the comment form',
),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// Colors
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="colors">' ),
// ============================== Overall
array(
  'type'  => 'title',
  'note'  => 'Overall',
),
array(
  'name'  => 'Text color',
  'id'    => $shortname.'text_color',
  'type'  => 'color',
  'note'  => 'text_color',
  'std'   => '#222222',
),
array(
  'name'  => 'Border color',
  'id'    => $shortname.'border_color',
  'type'  => 'color',
  'note'  => 'border_color',
  'std'   => '#cccccc',
),
// ============================== Menu
array(
  'type'  => 'title',
  'note'  => 'Menu',
),
array(
  'name'  => 'Header bar color',
  'id'    => $shortname.'nav_bar',
  'type'  => 'color',
  'note'  => 'nav_bar',
  'std'   => '#fbf0ee',
),
array(
  'name'  => 'Menu link color',
  'id'    => $shortname.'nav_link',
  'type'  => 'color',
  'note'  => 'nav_link',
  'std'   => '#000000',
),
array(
  'name'  => 'Menu link hover color',
  'id'    => $shortname.'nav_link_hover',
  'type'  => 'color',
  'note'  => 'nav_link_hover',
  'std'   => '#ff0080',
),
// ============================== Blog widget
array(
  'type'  => 'title',
  'note'  => 'Blog widget',
),
array(
  'name'  => 'Background color',
  'id'    => $shortname.'blog_widgets',
  'type'  => 'color',
  'note'  => 'blog_widgets',
  'std'   => '#ffffff',
),
// ============================== Page/Post Title
array(
  'type'  => 'title',
  'note'  => 'Page/Post Title',
),
array(
  'name'  => 'Page title color',
  'id'    => $shortname.'page_post_title',
  'type'  => 'color',
  'note'  => 'page_page_title',
  'std'   => '#000000',
),
array(
  'name'  => 'Post title link color',
  'id'    => $shortname.'page_post_title_link',
  'type'  => 'color',
  'note'  => 'page_post_title_link',
  'std'   => '#000000',
),
array(
  'name'  => 'Post title link hover color',
  'id'    => $shortname.'page_post_title_link_hover',
  'type'  => 'color',
  'note'  => 'page_post_title_link_hover',
  'std'   => '#666666',
),
// ============================== Sidebar
array(
  'type'  => 'title',
  'note'  => 'Sidebar Widget',
),
array(
  'name'  => 'Sidebar widget title color',
  'id'    => $shortname.'sidebar_widget_title',
  'type'  => 'color',
  'note'  => 'sidebar_widget_title',
  'std'   => '#000000',
),
// ============================== Footer
array(
  'type'  => 'title',
  'note'  => 'Footer',
),
array(
  'name'  => 'Footer widget title color',
  'id'    => $shortname.'footer_widget_title',
  'type'  => 'color',
  'note'  => 'footer_widget_title',
  'std'   => '#666666',
),
array(
  'name'  => 'Footer border color',
  'id'    => $shortname.'footer_border',
  'type'  => 'color',
  'note'  => 'footer_border',
  'std'   => '#ff0080',
),
array(
  'name'  => 'Footer background color',
  'id'    => $shortname.'footer_background',
  'type'  => 'color',
  'note'  => 'footer_background',
  'std'   => '#ffffff',
),
array(
  'name'  => 'Footer text color',
  'id'    => $shortname.'footer_text',
  'type'  => 'color',
  'note'  => 'footer_text',
  'std'   => '#777777',
),
array(
  'name'  => 'Footer credit text color',
  'id'    => $shortname.'footer_credit_text',
  'type'  => 'color',
  'note'  => 'footer_credit_text',
  'std'   => '#666666',
),
// ============================== Links
array(
  'type'  => 'title',
  'note'  => 'Links',
),
array(
  'name'  => 'Link color',
  'id'    => $shortname.'link',
  'type'  => 'color',
  'note'  => 'link',
  'std'   => '#ff0080',
),
array(
  'name'  => 'Link hover color',
  'id'    => $shortname.'link_hover',
  'type'  => 'color',
  'note'  => 'link_hover',
  'std'   => '#666666',
),
// ============================== Heading
array(
  'type'  => 'title',
  'note'  => 'Heading',
),
array(
  'name'  => 'H1 color',
  'id'    => $shortname.'h1',
  'type'  => 'color',
  'note'  => 'h1',
  'std'   => '#000000',
),
array(
  'name'  => 'H2 color',
  'id'    => $shortname.'h2',
  'type'  => 'color',
  'note'  => 'h2',
  'std'   => '#000000',
),
array(
  'name'  => 'H3 color',
  'id'    => $shortname.'h3',
  'type'  => 'color',
  'note'  => 'h3',
  'std'   => '#333333',
),
array(
  'name'  => 'H4 color',
  'id'    => $shortname.'h4',
  'type'  => 'color',
  'note'  => 'h4',
  'std'   => '#333333',
),
array(
  'name'  => 'H5 color',
  'id'    => $shortname.'h5',
  'type'  => 'color',
  'note'  => 'h5',
  'std'   => '#555555',
),
array(
  'name'  => 'H6 color',
  'id'    => $shortname.'h6',
  'type'  => 'color',
  'note'  => 'h6',
  'std'   => '#555555',
),
// ============================== Button
array(
  'type'  => 'title',
  'note'  => 'Button',
),
array(
  'name'  => 'Background color',
  'id'    => $shortname.'button_bg',
  'type'  => 'color',
  'note'  => 'button_bg',
  'std'   => '#ff0080',
),
array(
  'name'  => 'Border color',
  'id'    => $shortname.'button_border',
  'type'  => 'color',
  'note'  => 'button_border',
  'std'   => '#ff0080',
),
array(
  'name'  => 'Text color',
  'id'    => $shortname.'button_text',
  'type'  => 'color',
  'note'  => 'button_text',
  'std'   => '#ffffff',
),
array(
  'name'  => 'Hover background color',
  'id'    => $shortname.'button_bg_hover',
  'type'  => 'color',
  'note'  => 'button_bg_hover',
  'std'   => '#000000',
),
array(
  'name'  => 'Hover border color',
  'id'    => $shortname.'button_border_hover',
  'type'  => 'color',
  'note'  => 'button_border_hover',
  'std'   => '#000000',
),
array(
  'name'  => 'Hover text color',
  'id'    => $shortname.'button_text_hover',
  'type'  => 'color',
  'note'  => 'button_text_hover',
  'std'   => '#ffffff',
),
// ============================== Accordion
array(
  'type'  => 'title',
  'note'  => 'Accordion',
),
array(
  'name'  => 'Background color',
  'id'    => $shortname.'accordion_bg',
  'type'  => 'color',
  'note'  => 'accordion_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Text color',
  'id'    => $shortname.'accordion_text',
  'type'  => 'color',
  'note'  => 'accordion_text',
  'std'   => '#ffffff',
),
array(
  'name'  => 'Hover background color',
  'id'    => $shortname.'accordion_bg_hover',
  'type'  => 'color',
  'note'  => 'accordion_bg_hover',
  'std'   => '#666666',
),
array(
  'name'  => 'Hover text color',
  'id'    => $shortname.'accordion_text_hover',
  'type'  => 'color',
  'note'  => 'accordion_text_hover',
  'std'   => '#ffffff',
),
// ============================== Social Media
array(
  'type'  => 'title',
  'note'  => 'Widget Social Media Icons',
),
array(
  'name'  => 'Twitter color',
  'id'    => $shortname.'widget_twitter_bg',
  'type'  => 'color',
  'note'  => 'widget_twitter_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Twitter hover color',
  'id'    => $shortname.'widget_twitter_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_twitter_bg_hover',
  'std'   => '#269dd5',
),
array(
  'name'  => 'Facebook background color',
  'id'    => $shortname.'widget_fb_bg',
  'type'  => 'color',
  'note'  => 'widget_fb_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Facebook hover color',
  'id'    => $shortname.'widget_fb_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_fb_bg_hover',
  'std'   => '#0c42b2',
),
array(
  'name'  => 'TikTok color',
  'id'    => $shortname.'widget_tiktok_bg',
  'type'  => 'color',
  'note'  => 'widget_tiktok_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'TikTok hover color',
  'id'    => $shortname.'widget_tiktok_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_tiktok_bg_hover',
  'std'   => '#fe2c55',
),
array(
  'name'  => 'Email color',
  'id'    => $shortname.'widget_email_bg',
  'type'  => 'color',
  'note'  => 'widget_email_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Email hover color',
  'id'    => $shortname.'widget_email_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_email_bg_hover',
  'std'   => '#aaaaaa',
),
array(
  'name'  => 'RSS Feed color',
  'id'    => $shortname.'widget_rss_bg',
  'type'  => 'color',
  'note'  => 'widget_rss_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'RSS Feed hover color',
  'id'    => $shortname.'widget_rss_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_rss_bg_hover',
  'std'   => '#f49000',
),
array(
  'name'  => 'Google Plus color',
  'id'    => $shortname.'widget_google_bg',
  'type'  => 'color',
  'note'  => 'widget_google_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Google Plus hover color',
  'id'    => $shortname.'widget_google_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_google_bg_hover',
  'std'   => '#fd3000',
),
array(
  'name'  => 'Flickr color',
  'id'    => $shortname.'widget_flickr_bg',
  'type'  => 'color',
  'note'  => 'widget_flickr_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Flickr hover color',
  'id'    => $shortname.'widget_flickr_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_flickr_bg_hover',
  'std'   => '#fc0077',
),
array(
  'name'  => 'Linkedin color',
  'id'    => $shortname.'widget_linkedin_bg',
  'type'  => 'color',
  'note'  => 'widget_linkedin_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Linkedin hover color',
  'id'    => $shortname.'widget_linkedin_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_linkedin_bg_hover',
  'std'   => '#0d5a7b',
),
array(
  'name'  => 'YouTube color',
  'id'    => $shortname.'widget_youtube_bg',
  'type'  => 'color',
  'note'  => 'widget_youtube_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'YouTube hover color',
  'id'    => $shortname.'widget_youtube_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_youtube_bg_hover',
  'std'   => '#ff0000',
),
array(
  'name'  => 'Vimeo color',
  'id'    => $shortname.'widget_vimeo_bg',
  'type'  => 'color',
  'note'  => 'widget_vimeo_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Vimeo hover color',
  'id'    => $shortname.'widget_vimeo_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_vimeo_bg_hover',
  'std'   => '#00c1f8',
),
array(
  'name'  => 'Instagram color',
  'id'    => $shortname.'widget_instagram_bg',
  'type'  => 'color',
  'note'  => 'widget_instagram_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Instagram hover color',
  'id'    => $shortname.'widget_instagram_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_instagram_bg_hover',
  'std'   => '#194f7a',
),
array(
  'name'  => 'BlogLovin color',
  'id'    => $shortname.'widget_bloglovin_bg',
  'type'  => 'color',
  'note'  => 'widget_bloglovin_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'BlogLovin hover color',
  'id'    => $shortname.'widget_bloglovin_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_bloglovin_bg_hover',
  'std'   => '#00c4fd',
),
array(
  'name'  => 'Pinterest color',
  'id'    => $shortname.'widget_pinterest_bg',
  'type'  => 'color',
  'note'  => 'widget_pinterest_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Pinterest hover color',
  'id'    => $shortname.'widget_pinterest_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_pinterest_bg_hover',
  'std'   => '#c70505',
),
array(
  'name'  => 'Tumblr color',
  'id'    => $shortname.'widget_tumblr_bg',
  'type'  => 'color',
  'note'  => 'widget_tumblr_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Tumblr hover color',
  'id'    => $shortname.'widget_tumblr_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_tumblr_bg_hover',
  'std'   => '#304d6b',
),
array(
  'name'  => 'Houzz color',
  'id'    => $shortname.'widget_houzz_bg',
  'type'  => 'color',
  'note'  => 'widget_houzz_bg',
  'std'   => '#000000',
),
array(
  'name'  => 'Houzz hover color',
  'id'    => $shortname.'widget_houzz_bg_hover',
  'type'  => 'color',
  'note'  => 'widget_houzz_bg_hover',
  'std'   => '#7ac142',
),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// Extra inputs
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="extra">' ),
array(
  'name'  => 'Header script(s)',
  'id'    => $shortname.'header_scripts',
  'type'  => 'textarea',
  'note'  => 'Place your necessary code here, anything that needs to be placed before <strong>&#60;/head&#62;</strong>.',
),
array(
  'name'  => 'Footer script(s)',
  'id'    => $shortname.'footer_scripts',
  'type'  => 'textarea',
  'note'  => 'Place your necessary code here, anything that needs to be placed before <strong>&#60;/body&#62;</strong>.',
),
array(
  'name'  => 'Header notice bar',
  'id'    => $shortname.'header_notice',
  'type'  => 'textarea',
  'note'  => 'Show notice on header.',
),
array(
  'name'  => 'Header notice bar background color',
  'id'    => $shortname.'header_notice_bg',
  'type'  => 'color',
  'note'  => 'header_notice_bg',
  'std'   => '#ffebe0',
),
array(
  'name'  => 'Header notice bar text color',
  'id'    => $shortname.'header_notice_text',
  'type'  => 'color',
  'note'  => 'header_notice_text',
  'std'   => '#444444',
),
array(
  'name'  => 'Custom CSS',
  'id'    => $shortname.'css',
  'type'  => 'textarea',
  'note'  => 'Use Customize > Additional CSS instead. This field will be deprecated on next update. If you have any CSS here, kindly copy and paste it at Customize > Additional CSS.',
),
array('type'=>'class','class'=>'</div>'),

//// ==================================================================
// Hero image
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="hero-image">' ),
array(
  'name'  => 'Enable hero image',
  'id'    => $shortname.'hero_image_enabled',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Show hero image on homepage only',
  'id'    => $shortname.'hero_image_enabled_home',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  =>  'Hero image',
  'id'    =>  $shortname.'hero_image',
  'type'  =>  'upload',
  "size"  =>  '1600x1000',
  'note'  =>  '',
  'std'   =>  '',
),
array(
  'name'  => 'Caption content',
  'id'    => $shortname.'hero_image_caption',
  'type'  => 'editor',
  'note'  => '',
),
array(
  'name'  => 'Caption text color',
  'id'    => $shortname.'hero_image_caption_text',
  'type'  => 'color',
  'note'  => 'hero_image_caption_text',
  'std'   => '#000000',
),
array(
  'name'  => 'Caption background color (Mobile only)',
  'id'    => $shortname.'hero_image_caption_bg',
  'type'  => 'color',
  'note'  => 'hero_image_caption_bg',
  'std'   => '#ffffff',
),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// Entry
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="entry">' ),
array(
  'name'  => 'Enable breadcrumb navigation',
  'id'    => $shortname.'enable_breadcrumb',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Post banner',
  'id'    => $shortname.'post_banner',
  'type'  => 'textarea',
  'note'  => 'Insert banner at the bottom of a blog post',
),
array(
  'name'  => 'Hide post date',
  'id'    => $shortname.'hide_date',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Hide post category',
  'id'    => $shortname.'hide_category',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Hide post comment',
  'id'    => $shortname.'hide_comment',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Hide post tags',
  'id'    => $shortname.'hide_tag',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Hide post author',
  'id'    => $shortname.'blog_author',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Show blog author biography',
  'id'    => $shortname.'blog_author_bio',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Author signature',
  'id'    => $shortname.'post_signature',
  'std'   => '',
  'type'  => 'upload',
  'note'  => 'Upload a signature at the bottom of a blog post',
  'size'  => 'any appropriate',
),
array(
  'name'  => 'Use excerpt summary post',
  'id'    => $shortname.'enable_excerpt',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Enable related post',
  'id'    => $shortname.'enable_related',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Enable feature thumbnail',
  'id'    => $shortname.'enable_post_thumbnail',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'id'    => $shortname.'thumb_width',
  'type'  => 'thumb',
  'std'   => '100',
  'note'  => 'Width',
),
array(
  'id'    => $shortname.'thumb_height',
  'type'  => 'thumb',
  'std'   => '100',
  'note'  => 'Height',
),
array( 'type'=>'class', 'class'=>'<div style=\"height: 10px; clear: both;\">&nbsp;</div>' ),
array( 'type'=>'class', 'class'=>'<hr />' ),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// Social media
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="social-media">' ),
array(
  'name'  => 'Show social media icons on footer',
  'id'    => $shortname.'footer_icons',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Open social media links in new windows',
  'id'    => $shortname.'icons_new_windows',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'	=> 'Twitter profile URL',
  'id'		=> $shortname.'twitter',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Twitter icon color',
  'id'		=> $shortname.'twitter_bg',
  'type'	=> 'color',
  'note'	=> 'twitter_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Twitter icon hover color',
  'id'		=> $shortname.'twitter_bg_hover',
  'type'	=> 'color',
  'note'	=> 'twitter_bg_hover',
  'std'		=> '#269dd5',
),
array(
  'name'	=> 'Facebook profile URL',
  'id'		=> $shortname.'facebook',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Facebook icon color',
  'id'		=> $shortname.'facebook_bg',
  'type'	=> 'color',
  'note'	=> 'facebook_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Facebook icon hover color',
  'id'		=> $shortname.'facebook_bg_hover',
  'type'	=> 'color',
  'note'	=> 'facebook_bg_hover',
  'std'		=> '#0c42b2',
),
array(
  'name'	=> 'Pinterest profile URL',
  'id'		=> $shortname.'pinterest',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Pinterest icon color',
  'id'		=> $shortname.'pinterest_bg',
  'type'	=> 'color',
  'note'	=> 'pinterest_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Pinterest icon hover color',
  'id'		=> $shortname.'pinterest_bg_hover',
  'type'	=> 'color',
  'note'	=> 'pinterest_bg_hover',
  'std'		=> '#c70505',
),
array(
  'name'	=> 'Instagram profile URL',
  'id'		=> $shortname.'instagram',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Instagram icon color',
  'id'		=> $shortname.'instagram_bg',
  'type'	=> 'color',
  'note'	=> 'instagram_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Instagram icon hover color',
  'id'		=> $shortname.'instagram_bg_hover',
  'type'	=> 'color',
  'note'	=> 'instagram_bg_hover',
  'std'		=> '#194f7a',
),
array(
  'name'	=> 'TikTok profile URL',
  'id'		=> $shortname.'tiktok',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'TikTok icon color',
  'id'		=> $shortname.'tiktok_bg',
  'type'	=> 'color',
  'note'	=> 'tiktok_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'TikTok icon hover color',
  'id'		=> $shortname.'tiktok_bg_hover',
  'type'	=> 'color',
  'note'	=> 'tiktok_bg_hover',
  'std'		=> '#fe2c55',
),
array(
  'name'	=> 'Google Plus profile URL',
  'id'		=> $shortname.'google_plus',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Google Plus icon color',
  'id'		=> $shortname.'google_plus_bg',
  'type'	=> 'color',
  'note'	=> 'google_plus_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Google Plus icon hover color',
  'id'		=> $shortname.'google_plus_bg_hover',
  'type'	=> 'color',
  'note'	=> 'google_plus_bg_hover',
  'std'		=> '#fd3000',
),
array(
  'name'	=> 'Flickr profile URL',
  'id'		=> $shortname.'flickr',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Flickr icon color',
  'id'		=> $shortname.'flickr_bg',
  'type'	=> 'color',
  'note'	=> 'flickr_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Flickr icon hover color',
  'id'		=> $shortname.'flickr_bg_hover',
  'type'	=> 'color',
  'note'	=> 'flickr_bg_hover',
  'std'		=> '#fc0077',
),
array(
  'name'	=> 'Linkedin profile URL',
  'id'		=> $shortname.'linkedin',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Linkedin icon color',
  'id'		=> $shortname.'linkedin_bg',
  'type'	=> 'color',
  'note'	=> 'linkedin_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Linkedin icon hover color',
  'id'		=> $shortname.'linkedin_bg_hover',
  'type'	=> 'color',
  'note'	=> 'linkedin_bg_hover',
  'std'		=> '#0d5a7b',
),
array(
  'name'	=> 'YouTube profile URL',
  'id'		=> $shortname.'youtube',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'YouTube icon color',
  'id'		=> $shortname.'youtube_bg',
  'type'	=> 'color',
  'note'	=> 'youtube_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'YouTube icon hover color',
  'id'		=> $shortname.'youtube_bg_hover',
  'type'	=> 'color',
  'note'	=> 'youtube_bg_hover',
  'std'		=> '#ff0000',
),
array(
  'name'	=> 'Vimeo profile URL',
  'id'		=> $shortname.'vimeo',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Vimeo icon color',
  'id'		=> $shortname.'vimeo_bg',
  'type'	=> 'color',
  'note'	=> 'vimeo_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Vimeo icon hover color',
  'id'		=> $shortname.'vimeo_bg_hover',
  'type'	=> 'color',
  'note'	=> 'vimeo_bg_hover',
  'std'		=> '#00c1f8',
),
array(
  'name'	=> 'Bloglovin URL',
  'id'		=> $shortname.'bloglovin',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Bloglovin icon color',
  'id'		=> $shortname.'bloglovin_bg',
  'type'	=> 'color',
  'note'	=> 'bloglovin_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Bloglovin icon hover color',
  'id'		=> $shortname.'bloglovin_bg_hover',
  'type'	=> 'color',
  'note'	=> 'bloglovin_bg_hover',
  'std'		=> '#00c4fd',
),
array(
  'name'	=> 'Tumblr URL',
  'id'		=> $shortname.'tumblr',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Tumblr icon color',
  'id'		=> $shortname.'tumblr_bg',
  'type'	=> 'color',
  'note'	=> 'tumblr_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Tumblr icon hover color',
  'id'		=> $shortname.'tumblr_bg_hover',
  'type'	=> 'color',
  'note'	=> 'tumblr_bg_hover',
  'std'		=> '#304d6b',
),
array(
  'name'	=> 'RSS Feed URL',
  'id'		=> $shortname.'rss',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'RSS Feed icon color',
  'id'		=> $shortname.'rss_bg',
  'type'	=> 'color',
  'note'	=> 'rss_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'RSS Feed icon hover color',
  'id'		=> $shortname.'rss_bg_hover',
  'type'	=> 'color',
  'note'	=> 'rss_bg_hover',
  'std'		=> '#f49000',
),
array(
  'name'	=> 'Houzz URL',
  'id'		=> $shortname.'houzz',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Houzz icon color',
  'id'		=> $shortname.'houzz_bg',
  'type'	=> 'color',
  'note'	=> 'houzz_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Houzz icon hover color',
  'id'		=> $shortname.'houzz_bg_hover',
  'type'	=> 'color',
  'note'	=> 'houzz_bg_hover',
  'std'		=> '#7ac142',
),
array(
  'name'	=> 'Email address',
  'id'		=> $shortname.'email',
  'type'	=> 'text',
  'note'	=> '',
),
array(
  'name'	=> 'Email icon color',
  'id'		=> $shortname.'email_bg',
  'type'	=> 'color',
  'note'	=> 'email_bg',
  'std'		=> '#000000',
),
array(
  'name'	=> 'Email icon hover color',
  'id'		=> $shortname.'email_bg_hover',
  'type'	=> 'color',
  'note'	=> 'email_bg_hover',
  'std'		=> '#aaaaaa',
),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// Newsletter
//// ==================================================================
array('type'=>'class','class'=>'<div id="newsletter">'),
array(
  'name'	=> 'Newsletter bar background color',
  'id'		=> $shortname.'newsletter_bg',
  'type'	=> 'color',
  'note'	=> 'newsletter_bg',
  'std'		=> '#fbf0ee',
),
array(
  'name'    =>  'Newsletter location',
  'id'      => $shortname.'newsletter_location',
  'type'    => 'select',
  'std'     => '',
  'options' => array( 'Top', 'Bottom' ),
  'note'    => '',
),
array(
  'name'  => 'Show newsletter on homepage only',
  'id'    => $shortname.'newsletter_home',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Newsletter',
  'id'    => $shortname.'newsletter',
  'type'  => 'textarea',
  'note'  => 'Kindly use appropriate class for your newsletter form, such as:<br />
  <strong>.newsletter-section-form</strong> for &lt;form&gt;<br />
  <strong>.newsletter-section-form-input</strong> for &lt;input&gt;<br />
  <strong>.newsletter-section-form-button</strong> for submit button<br />
  A quick example of form:<br />
  &lt;form action="" method="post" class="newsletter-section-form"&gt;<br />
  &lt;input type="text" class="newsletter-section-form-input" placeholder="Name" /&gt;<br />
  &lt;input type="email" class="newsletter-section-form-input" placeholder="Email" /&gt;<br />
  &lt;input type="submit" class="newsletter-section-form-button" value="Subscribe" /&gt;<br />
  &lt;/form&gt;',
),
array('type'=>'class','class'=>'</div>'),
//// ==================================================================
// Newsletter
//// ==================================================================
array('type'=>'class','class'=>'<div id="footer">'),
array(
  'name'  => 'Show footer section on homepage only',
  'id'    => $shortname.'footer_section_home',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'	=> 'Footer section background color',
  'id'		=> $shortname.'footer_section_bg',
  'type'	=> 'color',
  'note'	=> 'footer_section_bg',
  'std'		=> '#fbf0ee',
),
array(
  'name'  => 'Footer section content',
  'id'    => $shortname.'footer',
  'type'  => 'editor',
  'note'  => '',
),
array('type'=>'class','class'=>'</div>'),
//// ==================================================================
// 404 Error
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="404">' ),
array(
  'name'  => '404 Page Content',
  'id'    => $shortname.'404_page',
  'type'  => 'editor',
  'note'  => '',
),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// WooCommerce
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="woocommerce">' ),
array(
  'name'  => 'Show floating cart icon on top right',
  'id'    => $shortname.'woo_cart_float',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Display shop page breadcrumb',
  'id'    => $shortname.'woo_breadcrumb',
  'type'  => 'checkbox',
  'note'  => '',
),
array(
  'name'  => 'Remove sidebar on product page',
  'id'    => $shortname.'woo_full_width',
  'type'  => 'checkbox',
  'note'  => '',
),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// LifterLMS
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="lifterlms">' ),
array(
	'name'  => 'Show full width on lesson page',
	'id'    => $shortname.'lifterlms_lesson_width',
	'type'  => 'checkbox',
	'note'  => '',
),
array( 'type'=>'class', 'class'=>'</div>' ),

//// ==================================================================
// Cookie
//// ==================================================================
array( 'type'=>'class', 'class'=>'<div id="cookie">' ),
array(
	'name'  => 'Enable cookie consent bar',
	'id'    => $shortname.'enable_consent',
	'type'  => 'checkbox',
	'note'  => '',
),
array(
	'name'    =>  'Cookie expire day',
	'id'      => $shortname.'cookie_expire',
	'type'    => 'select',
	'std'     => '30',
	'options' => array( '7', '14', '30', '60', '90', '365' ),
	'note'    => 'Number of days the cookie expired and required consent again',
),
array(
	'name'  => 'Cookie consent',
	'id'    => $shortname.'cookie_content',
	'type'  => 'textarea',
	'note'  => '',
),
array(
	'name'	=> 'Close button text',
	'id'	=> $shortname.'cookie_dismiss',
	'type'	=> 'text',
	'note'	=> '',
),
array(
	'name'	=> 'Read more text',
	'id'	=> $shortname.'cookie_read',
	'type'	=> 'text',
	'note'	=> '',
),
array(
	'name'	=> 'Cookie policy page',
	'id'	=> $shortname.'cookie_read_link',
	'type'	=> 'text',
	'note'	=> '',
),

array(
	'name'	=> 'Cookie bar background colour',
	'id'	=> $shortname.'cookie_bg',
	'type'	=> 'color',
	'note'	=> 'cookie_bg',
	'std'	=> '#222222',
),
array(
	'name'	=> 'Cookie bar text colour',
	'id'	=> $shortname.'cookie_text',
	'type'	=> 'color',
	'note'	=> 'cookie_text',
	'std'	=> '#ffffff',
),
array(
	'name'	=> 'Cookie bar button colour',
	'id'	=> $shortname.'cookie_button',
	'type'	=> 'color',
	'note'	=> 'cookie_button',
	'std'	=> '#000000',
),
array(
	'name'	=> 'Cookie bar button text colour',
	'id'	=> $shortname.'cookie_button_text',
	'type'	=> 'color',
	'note'	=> 'cookie_button_text',
	'std'	=> '#ffffff',
),
array( 'type'=>'class', 'class'=>'</div>' ),


);
