<?php
// ==================================================================
// START register theme customize
// ==================================================================
function ace_customize_register($wp_customize){

// ====================================================================================================================================
// Register customize panel
// ====================================================================================================================================
$wp_customize->add_panel('ace_theme_panel', array(
  'title' => 'Bluchic Theme',
  'description' => '',
  'priority' => 1000,
));

// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_setup', array(
	'title'       => __('General settings', 'ace'),
	'priority'    => 1001,
	'description' => '',
	'panel'       => 'ace_theme_panel',
));
// ================================================================== Enable minify
$wp_customize->add_setting('ace_enable_minify', array(
	'capability' => 'edit_theme_options',
	'type' => 'option',
));
$wp_customize->add_control('ace_enable_minify', array(
	'settings' => 'ace_enable_minify',
	'label' => __('Enable HTML minify and remove resources strings', 'ace'),
	'section' => 'ace_theme_setup',
	'type' => 'checkbox',
));
// ================================================================== Enable prefetch
$wp_customize->add_setting('ace_enable_prefetch', array(
	'capability' => 'edit_theme_options',
	'type' => 'option',
));
$wp_customize->add_control('ace_enable_prefetch', array(
	'settings' => 'ace_enable_prefetch',
	'label' => __('Enable flyingpages.js inner pages prefetch', 'ace'),
	'section' => 'ace_theme_setup',
	'type' => 'checkbox',
));
// ================================================================== Remove jquery-migrate.js
$wp_customize->add_setting('ace_remove_jquery_migrate', array(
	'capability' => 'edit_theme_options',
	'type' => 'option',
	'default' => true,
));
$wp_customize->add_control('ace_remove_jquery_migrate', array(
	'settings' => 'ace_remove_jquery_migrate',
	'label' => __('Remove legacy jquery-migrate.js', 'ace'),
	'section' => 'ace_theme_setup',
	'type' => 'checkbox',
));
// ================================================================== Disable Colorbox
$wp_customize->add_setting('ace_disable_colorbox', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_disable_colorbox', array(
  'settings'  => 'ace_disable_colorbox',
  'label'     => __('Disable Colorbox pop-up', 'ace'),
  'section'   => 'ace_theme_setup',
  'type'      => 'checkbox',
));
// ================================================================== Disable fixed menu
$wp_customize->add_setting('ace_disable_fixed_menu', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_disable_fixed_menu', array(
  'settings'  => 'ace_disable_fixed_menu',
  'label'     => __('Disable fixed menu', 'ace'),
  'section'   => 'ace_theme_setup',
  'type'      => 'checkbox',
));
// ================================================================== Full-width blog page
$wp_customize->add_setting('ace_full_blog', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_full_blog', array(
  'settings'  => 'ace_full_blog',
  'label'     => __('Remove sidebar on blog page', 'ace'),
  'section'   => 'ace_theme_setup',
  'type'      => 'checkbox',
));
// ================================================================== Blog listing layout
$wp_customize->add_setting('ace_blog_list_layout', array(
  'capability'        => 'edit_theme_options',
  'type'              => 'option',
));
$wp_customize->add_control('ace_blog_list_layout', array(
  'settings'  => 'ace_blog_list_layout',
  'label'     => __('Blog listing layout', 'ace'),
  'section'   => 'ace_theme_setup',
  'type'      => 'radio',
  'default'   => 'classic-blog',
  'choices'   => array(
    'classic-blog'  => 'Classic',
    'grid-blog'     => 'Grid',
 ),
));
// ================================================================== Open new windows
$wp_customize->add_setting('ace_new_window', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_new_window', array(
  'settings'  => 'ace_new_window',
  'label'     => __('Open blog link in new windows', 'ace'),
  'section'   => 'ace_theme_setup',
  'type'      => 'checkbox',
));
// ================================================================== Blog post layout
$wp_customize->add_setting('ace_blog_layout', array(
  'capability'        => 'edit_theme_options',
  'type'              => 'option',
));
$wp_customize->add_control('ace_blog_layout', array(
  'settings'  => 'ace_blog_layout',
  'label'     => __('Blog post layout', 'ace'),
  'section'   => 'ace_theme_setup',
  'type'      => 'radio',
  'default'   => 'blog-content-sidebar',
  'choices'   => array(
    'blog-content-sidebar'  => 'Content - Sidebar',
    'blog-sidebar-content'   => 'Sidebar - Content',
 ),
));
// ================================================================== Footer credit
$wp_customize->add_setting('ace_footer_credit', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_footer_credit', array(
  'label'     => __('Footer credit', 'ace'),
  'section'   => 'ace_theme_setup',
  'settings'  => 'ace_footer_credit',
	'type'      => 'textarea',
)));
// ================================================================== Footer privacy link
$wp_customize->add_setting('ace_privacy', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_privacy', array(
  'settings'  => 'ace_privacy',
  'label'     => __('Disable privacy link at footer', 'ace'),
  'section'   => 'ace_theme_setup',
  'type'      => 'checkbox',
));
// ================================================================== Text before comment
$wp_customize->add_setting('ace_comment_text', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_comment_text', array(
  'label'     => __('Text before comment', 'ace'),
  'section'   => 'ace_theme_setup',
  'settings'  => 'ace_comment_text',
  'type'      => 'textarea',
)));


// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_color', array(
	'title'       => __('Colors settings', 'ace'),
	'priority'    => 1002,
  'description' => '',
  'panel'       => 'ace_theme_panel',
));

// ==================================================================
// Overall
// ==================================================================
// ================================================================== Text
$wp_customize->add_setting('ace_text_color', array(
	'default'           => '#222222',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_text_color', array(
	'label'     => __('Text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_text_color',
)));
// ================================================================== Border
$wp_customize->add_setting('ace_border_color', array(
	'default'           =>  '#cccccc',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_border_color', array(
	'label'     => __('Border color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_border_color',
)));

// ==================================================================
// Menu
// ==================================================================
$wp_customize->add_setting('ace_nav_bar', array(
	'default'           =>  '#fbf0ee',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_nav_bar', array(
	'label'     => __('Header bar color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_nav_bar',
)));
// ================================================================== Menu
$wp_customize->add_setting('ace_nav_link', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_nav_link', array(
	'label'     => __('Menu link color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_nav_link',
)));
// ================================================================== Menu
$wp_customize->add_setting('ace_nav_link_hover', array(
	'default'           =>  '#ff0080',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_nav_link_hover', array(
	'label'     => __('Menu link hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_nav_link_hover',
)));

// ==================================================================
// Blog widget
// ==================================================================
$wp_customize->add_setting('ace_blog_widgets', array(
	'default'           =>  '#ffffff',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_blog_widgets', array(
	'label'     => __('Blog widget bar background', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_blog_widgets',
)));
// ==================================================================
// Page/Post Title
// ==================================================================
// ================================================================== Page/Post Title
$wp_customize->add_setting('ace_page_post_title', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_page_post_title', array(
	'label'     => __('Page title color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_page_post_title',
)));
// ================================================================== Page/Post Title
$wp_customize->add_setting('ace_page_post_title_link', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_page_post_title_link', array(
	'label'     => __('Post title link color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_page_post_title_link',
)));
// ================================================================== Page/Post Title
$wp_customize->add_setting('ace_page_post_title_link_hover', array(
	'default'           =>  '#666666',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_page_post_title_link_hover', array(
	'label'     => __('Post title link hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_page_post_title_link_hover',
)));

// ==================================================================
// Sidebar
// ==================================================================
// ================================================================== Sidebar
$wp_customize->add_setting('ace_sidebar_widget_title', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_sidebar_widget_title', array(
	'label'     => __('Sidebar widget text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_sidebar_widget_title',
)));

// ==================================================================
// Footer
// ==================================================================
// ================================================================== Footer
$wp_customize->add_setting('ace_footer_widget_title', array(
	'default'           =>  '#666666',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_footer_widget_title', array(
	'label'     => __('Footer widget title color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_footer_widget_title',
)));
// ================================================================== Footer
$wp_customize->add_setting('ace_footer_border', array(
	'default'           =>  '#ff0080',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_footer_border', array(
	'label'     => __('Footer border color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_footer_border',
)));
// ================================================================== Footer
$wp_customize->add_setting('ace_footer_background', array(
	'default'           =>  '#ffffff',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_footer_background', array(
	'label'     => __('Footer background color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_footer_background',
)));
// ================================================================== Footer
$wp_customize->add_setting('ace_footer_text', array(
	'default'           =>  '#777777',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_footer_text', array(
	'label'     => __('Footer text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_footer_text',
)));
// ================================================================== Footer
$wp_customize->add_setting('ace_footer_credit_text', array(
	'default'           =>  '#666666',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_footer_credit_text', array(
	'label'     => __('Footer credit text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_footer_credit_text',
)));

// ==================================================================
// Link
// ==================================================================
// ================================================================== Link
$wp_customize->add_setting('ace_link', array(
	'default'           =>  '#ff0080',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_link', array(
	'label'     => __('Link color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_link',
)));
// ================================================================== Link
$wp_customize->add_setting('ace_link_hover', array(
	'default'           =>  '#666666',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_link_hover', array(
	'label'     => __('Link hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_link_hover',
)));

// ==================================================================
// Heading
// ==================================================================
// ================================================================== Heading
$wp_customize->add_setting('ace_h1', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_h1', array(
	'label'     => __('H1 color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_h1',
)));
// ================================================================== Heading
$wp_customize->add_setting('ace_h2', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_h2', array(
	'label'     => __('H2 color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_h2',
)));
// ================================================================== Heading
$wp_customize->add_setting('ace_h3', array(
	'default'           =>  '#333333',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_h3', array(
	'label'     => __('H3 color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_h3',
)));
// ================================================================== Heading
$wp_customize->add_setting('ace_h4', array(
	'default'           =>  '#333333',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_h4', array(
	'label'     => __('H4 color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_h4',
)));
// ================================================================== Heading
$wp_customize->add_setting('ace_h5', array(
	'default'           =>  '#555555',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_h5', array(
	'label'     => __('H5 color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_h5',
)));
// ================================================================== Heading
$wp_customize->add_setting('ace_h6', array(
	'default'           =>  '#555555',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_h6', array(
	'label'     => __('H6 color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_h6',
)));

// ==================================================================
// Button
// ==================================================================
// ================================================================== Button
$wp_customize->add_setting('ace_button_bg', array(
	'default'           =>  '#ff0080',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_button_bg', array(
	'label'     => __('Button background color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_button_bg',
)));
// ================================================================== Button
$wp_customize->add_setting('ace_button_border', array(
	'default'           =>  '#ff0080',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_button_border', array(
	'label'     => __('Button border color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_button_border',
)));
// ================================================================== Button
$wp_customize->add_setting('ace_button_text', array(
	'default'           =>  '#ffffff',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_button_text', array(
	'label'     => __('Button text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_button_text',
)));
// ================================================================== Button
$wp_customize->add_setting('ace_button_bg_hover', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_button_bg_hover', array(
	'label'     => __('Button hover background color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_button_bg_hover',
)));
// ================================================================== Button
$wp_customize->add_setting('ace_button_border_hover', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_button_border_hover', array(
	'label'     => __('Button hover border color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_button_border_hover',
)));
// ================================================================== Button
$wp_customize->add_setting('ace_button_text_hover', array(
	'default'           =>  '#ffffff',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_button_text_hover', array(
	'label'     => __('Button hover text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_button_text_hover',
)));

// ==================================================================
// Accordion
// ==================================================================
// ================================================================== Accordion
$wp_customize->add_setting('ace_accordion_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_accordion_bg', array(
	'label'     => __('Accordion background color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_accordion_bg',
)));
// ================================================================== Accordion
$wp_customize->add_setting('ace_accordion_text', array(
	'default'           =>  '#ffffff',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_accordion_text', array(
	'label'     => __('Accordion text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_accordion_text',
)));
// ================================================================== Accordion
$wp_customize->add_setting('ace_accordion_bg_hover', array(
	'default'           =>  '#666666',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_accordion_bg_hover', array(
	'label'     => __('Accordion hover background color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_accordion_bg_hover',
)));
// ================================================================== Accordion
$wp_customize->add_setting('ace_accordion_text_hover', array(
	'default'           =>  '#ffffff',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_accordion_text_hover', array(
	'label'     => __('Accordion hover text color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_accordion_text_hover',
)));

// ==================================================================
// Socail Media
// ==================================================================
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_twitter_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_twitter_bg', array(
	'label'     => __('Twitter color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_twitter_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_twitter_bg_hover', array(
	'default'           =>  '#269dd5',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_twitter_bg_hover', array(
	'label'     => __('Twitter hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_twitter_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_fb_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_fb_bg', array(
	'label'     => __('Facebook color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_fb_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_fb_bg_hover', array(
	'default'           =>  '#0c42b2',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_fb_bg_hover', array(
	'label'     => __('Facebook hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_fb_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_tiktok_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_tiktok_bg', array(
	'label'     => __('TikTok color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_tiktok_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_tiktok_bg_hover', array(
	'default'           =>  '#fe2c55',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_tiktok_bg_hover', array(
	'label'     => __('TikTok hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_tiktok_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_email_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_email_bg', array(
	'label'     => __('Email color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_email_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_email_bg_hover', array(
	'default'           =>  '#aaaaaa',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_email_bg_hover', array(
	'label'     => __('Email hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_email_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_rss_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_rss_bg', array(
	'label'     => __('RSS Feed color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_rss_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_rss_bg_hover', array(
	'default'           =>  '#f49000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_rss_bg_hover', array(
	'label'     => __('RSS Feed hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_rss_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_google_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_google_bg', array(
	'label'     => __('Google Plus color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_google_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_google_bg_hover', array(
	'default'           =>  '#fd3000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_google_bg_hover', array(
	'label'     => __('Google Plus hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_google_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_flickr_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_flickr_bg', array(
	'label'     => __('Flickr color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_flickr_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_flickr_bg_hover', array(
	'default'           =>  '#fc0077',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_flickr_bg_hover', array(
	'label'     => __('Flickr hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_flickr_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_linkedin_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_linkedin_bg', array(
	'label'     => __('LinkedIn color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_linkedin_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_linkedin_bg_hover', array(
	'default'           =>  '#0d5a7b',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_linkedin_bg_hover', array(
	'label'     => __('LinkedIn hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_linkedin_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_youtube_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_youtube_bg', array(
	'label'     => __('YouTube color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_youtube_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_youtube_bg_hover', array(
	'default'           =>  '#ff0000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_youtube_bg_hover', array(
	'label'     => __('YouTube hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_youtube_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_vimeo_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_vimeo_bg', array(
	'label'     => __('Vimeo color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_vimeo_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_vimeo_bg_hover', array(
	'default'           =>  '#00c1f8',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_vimeo_bg_hover', array(
	'label'     => __('Vimeo hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_vimeo_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_instagram_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_instagram_bg', array(
	'label'     => __('Instagram color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_instagram_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_instagram_bg_hover', array(
	'default'           =>  '#194f7a',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_instagram_bg_hover', array(
	'label'     => __('Instagram hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_instagram_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_bloglovin_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_bloglovin_bg', array(
	'label'     => __('BlogLovin color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_bloglovin_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_bloglovin_bg_hover', array(
	'default'           =>  '#00c4fd',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_bloglovin_bg_hover', array(
	'label'     => __('BLogLovin hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_bloglovin_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_pinterest_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_pinterest_bg', array(
	'label'     => __('Pinterest color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_pinterest_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_pinterest_bg_hover', array(
	'default'           =>  '#c70505',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_pinterest_bg_hover', array(
	'label'     => __('Pinterest hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_pinterest_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_tumblr_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_tumblr_bg', array(
	'label'     => __('Tumblr color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_tumblr_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_tumblr_bg_hover', array(
	'default'           =>  '#304d6b',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_tumblr_bg_hover', array(
	'label'     => __('Tumblr hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_tumblr_bg_hover',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_houzz_bg', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_houzz_bg', array(
	'label'     => __('Houzz color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_houzz_bg',
)));
// ================================================================== Social Media
$wp_customize->add_setting('ace_widget_houzz_bg_hover', array(
	'default'           =>  '#7ac142',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_widget_houzz_bg_hover', array(
	'label'     => __('Houzz hover color', 'ace'),
	'section'   => 'ace_theme_color',
	'settings'  => 'ace_widget_houzz_bg_hover',
)));


// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_extra', array(
	'title'       => __('Extra inputs settings', 'ace'),
	'priority'    => 1003,
  'description' => '',
  'panel'       => 'ace_theme_panel',
));
// ================================================================== Header script(s)
$wp_customize->add_setting('ace_header_scripts', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => '',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_header_scripts', array(
  'label'     => __('Header script(s)', 'ace'),
  'section'   => 'ace_theme_extra',
  'settings'  => 'ace_header_scripts',
	'type'      => 'textarea',
)));
// ================================================================== Footer script(s)
$wp_customize->add_setting('ace_footer_scripts', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => '',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_footer_scripts', array(
  'label'     => __('Footer script(s)', 'ace'),
  'section'   => 'ace_theme_extra',
  'settings'  => 'ace_footer_scripts',
	'type'      => 'textarea',
)));
// ================================================================== Header notice
$wp_customize->add_setting('ace_header_notice', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_header_notice', array(
  'label'     => __('Header notice bar', 'ace'),
  'section'   => 'ace_theme_extra',
  'settings'  => 'ace_header_notice',
	'type'      => 'textarea',
)));
// ================================================================== Header notice background
$wp_customize->add_setting('ace_header_notice_bg', array(
	'default'           =>  '#ffebe0',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_header_notice_bg', array(
	'label'     => __('Header notice bar background color', 'ace'),
	'section'   => 'ace_theme_extra',
	'settings'  => 'ace_header_notice_bg',
)));
// ================================================================== Header notice text
$wp_customize->add_setting('ace_header_notice_text', array(
	'default'           =>  '#444444',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_header_notice_text', array(
	'label'     => __('Header notice bar text color', 'ace'),
	'section'   => 'ace_theme_extra',
	'settings'  => 'ace_header_notice_text',
)));
// ================================================================== Custom CSS
$wp_customize->add_setting('ace_css', array(
  'capability'          => 'edit_theme_options',
  'sanitize_callback'   => 'wp_strip_all_tags',
  'type'                => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_css', array(
  'label'     => __('Custom CSS - Use Customize > Additional CSS instead. This field will be deprecated on next update. If you have any CSS here, kindly copy and paste it at Customize > Additional CSS', 'ace'),
  'section'   => 'ace_theme_extra',
  'settings'  => 'ace_css',
	'type'      => 'textarea',
)));


// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_hero_image', array(
	'title'			=> __('Hero image settings', 'ace'),
	'priority'		=> 1004,
	'description'	=> '',
	'panel'			=> 'ace_theme_panel',
));
// ================================================================== Enable hero image
$wp_customize->add_setting('ace_hero_image_enabled', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_hero_image_enabled', array(
  'settings'  => 'ace_hero_image_enabled',
  'label'     => __('Enable hero image', 'ace'),
  'section'   => 'ace_theme_hero_image',
  'type'      => 'checkbox',
));
// ================================================================== Enable hero image on homepage
$wp_customize->add_setting('ace_hero_image_enabled_home', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_hero_image_enabled_home', array(
  'settings'  => 'ace_hero_image_enabled_home',
  'label'     => __('Show hero image on homepage only', 'ace'),
  'section'   => 'ace_theme_hero_image',
  'type'      => 'checkbox',
));
// ================================================================== Hero image
$wp_customize->add_setting('ace_hero_image', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control(new WP_Customize_Upload_Control($wp_customize, 'ace_hero_image', array(
  'label'      => __('Hero image', 'ace'),
  'section'    => 'ace_theme_hero_image',
  'settings'   => 'ace_hero_image',
)));
// ================================================================== Caption content
$wp_customize->add_setting('ace_hero_image_caption', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_hero_image_caption', array(
	'label'		=> __('Caption content', 'ace'),
	'section'	=> 'ace_theme_hero_image',
	'settings'	=> 'ace_hero_image_caption',
	'type'		=> 'textarea',
)));
// ================================================================== Caption color
$wp_customize->add_setting('ace_hero_image_caption_text', array(
	'default'           =>  '#000000',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_hero_image_caption_text', array(
	'label'     => __('Caption text color', 'ace'),
	'section'   => 'ace_theme_hero_image',
	'settings'  => 'ace_hero_image_caption_text',
)));
// ================================================================== Caption color
$wp_customize->add_setting('ace_hero_image_caption_bg', array(
	'default'           =>  '#ffffff',
	'sanitize_callback' =>  'sanitize_hex_color',
	'type'              =>  'option',
	'capability'        =>  'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_hero_image_caption_bg', array(
	'label'     => __('Caption background color (Mobile only)', 'ace'),
	'section'   => 'ace_theme_hero_image',
	'settings'  => 'ace_hero_image_caption_bg',
)));

// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_entry', array(
	'title'       => __('Entry settings', 'ace'),
	'priority'    => 1005,
  'description' => '',
  'panel'       => 'ace_theme_panel',
));
// ================================================================== Enable Breadcrumb navigation
$wp_customize->add_setting('ace_enable_breadcrumb', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_enable_breadcrumb', array(
  'settings'  => 'ace_enable_breadcrumb',
  'label'     => __('Enable breadcrumb navigation', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Post banner
$wp_customize->add_setting('ace_post_banner', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_post_banner', array(
  'label'     => __('Post banner', 'ace'),
  'section'   => 'ace_theme_entry',
  'settings'  => 'ace_post_banner',
	'type'      => 'textarea',
)));
// ================================================================== Hide post date
$wp_customize->add_setting('ace_hide_date', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_hide_date', array(
  'settings'  => 'ace_hide_date',
  'label'     => __('Hide post date', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Hide post category
$wp_customize->add_setting('ace_hide_category', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_hide_category', array(
  'settings'  => 'ace_hide_category',
  'label'     => __('Hide post category', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Hide post comment
$wp_customize->add_setting('ace_hide_comment', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_hide_comment', array(
  'settings'  => 'ace_hide_comment',
  'label'     => __('Hide post comment', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Hide post tags
$wp_customize->add_setting('ace_hide_tag', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_hide_tag', array(
  'settings'  => 'ace_hide_tag',
  'label'     => __('Hide post tags', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Blog author
$wp_customize->add_setting('ace_blog_author', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_blog_author', array(
  'settings'  => 'ace_blog_author',
  'label'     => __('Hide blog author', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Blog author biography
$wp_customize->add_setting('ace_blog_author_bio', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_blog_author_bio', array(
  'settings'  => 'ace_blog_author_bio',
  'label'     => __('Show blog author biography', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Author signature
$wp_customize->add_setting('ace_post_signature', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control(new WP_Customize_Upload_Control($wp_customize, 'ace_post_signature', array(
  'label'      => __('Author signature', 'ace'),
  'section'    => 'ace_theme_entry',
  'settings'   => 'ace_post_signature',
)));
// ================================================================== Use excerpt summary
$wp_customize->add_setting('ace_enable_excerpt', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_enable_excerpt', array(
  'settings'  => 'ace_enable_excerpt',
  'label'     => __('Use excerpt summary post', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Enable related post
$wp_customize->add_setting('ace_enable_related', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_enable_related', array(
  'settings'  => 'ace_enable_related',
  'label'     => __('Enable related post', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Enable feature thumbnail
$wp_customize->add_setting('ace_enable_post_thumbnail', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_enable_post_thumbnail', array(
  'settings'  => 'ace_enable_post_thumbnail',
  'label'     => __('Enable feature thumbnail', 'ace'),
  'section'   => 'ace_theme_entry',
  'type'      => 'checkbox',
));
// ================================================================== Width
$wp_customize->add_setting('ace_thumb_width', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_thumb_width', array(
  'label'     => __('Width', 'ace'),
  'section'   => 'ace_theme_entry',
  'settings'  => 'ace_thumb_width',
));
// ================================================================== Height
$wp_customize->add_setting('ace_thumb_height', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_thumb_height', array(
  'label'     => __('Height', 'ace'),
  'section'   => 'ace_theme_entry',
  'settings'  => 'ace_thumb_height',
));


// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_social_media', array(
	'title'       => __('Social media settings', 'ace'),
	'priority'    => 1006,
  'description' => '',
  'panel'       => 'ace_theme_panel',
));
// ================================================================== Enable social media icons
$wp_customize->add_setting('ace_footer_icons', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_footer_icons', array(
  'settings' => 'ace_footer_icons',
  'label'    => __('Show social media icons on footer', 'ace'),
  'section'  => 'ace_theme_social_media',
  'type'     => 'checkbox',
));

// ================================================================== New windows
$wp_customize->add_setting('ace_icons_new_windows', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_icons_new_windows', array(
  'settings' => 'ace_icons_new_windows',
  'label'    => __('Open social media links in new windows', 'ace'),
  'section'  => 'ace_theme_social_media',
  'type'     => 'checkbox',
));

// ================================================================== Twitter
$wp_customize->add_setting('ace_twitter', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_twitter', array(
  'label'     => __('Twitter profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_twitter',
));
// ================================================================== Twitter
$wp_customize->add_setting('ace_twitter_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_twitter_bg', array(
	'label'     => __('Twitter icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_twitter_bg',
)));
// ================================================================== Twitter hover
$wp_customize->add_setting('ace_twitter_bg_hover', array(
	'default'           => '#269dd5',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_twitter_bg_hover', array(
	'label'     => __('Twitter icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_twitter_bg_hover',
)));

// ================================================================== Facebook
$wp_customize->add_setting('ace_facebook', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_facebook', array(
  'label'     => __('Facebook profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_facebook',
));
// ================================================================== Facebook
$wp_customize->add_setting('ace_facebook_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_facebook_bg', array(
	'label'     => __('Facebook icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_facebook_bg',
)));
// ================================================================== Facebook hover
$wp_customize->add_setting('ace_facebook_bg_hover', array(
	'default'           => '#0c42b2',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_facebook_bg_hover', array(
	'label'     => __('Facebook icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_facebook_bg_hover',
)));

// ================================================================== Pinterest
$wp_customize->add_setting('ace_pinterest', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_pinterest', array(
  'label'     => __('Pinterest profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_pinterest',
));
// ================================================================== Pinterest
$wp_customize->add_setting('ace_pinterest_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_pinterest_bg', array(
	'label'     => __('Pinterest icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_pinterest_bg',
)));
// ================================================================== Pinterest hover
$wp_customize->add_setting('ace_pinterest_bg_hover', array(
	'default'           => '#c70505',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_pinterest_bg_hover', array(
	'label'     => __('Pinterest icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_pinterest_bg_hover',
)));

// ================================================================== Instagram
$wp_customize->add_setting('ace_instagram', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_instagram', array(
  'label'     => __('Instagram profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_instagram',
));
// ================================================================== Instagram
$wp_customize->add_setting('ace_instagram_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_instagram_bg', array(
	'label'     => __('Instagram icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_instagram_bg',
)));
// ================================================================== Instagram hover
$wp_customize->add_setting('ace_instagram_bg_hover', array(
	'default'           => '#194f7a',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_instagram_bg_hover', array(
	'label'     => __('Instagram icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_instagram_bg_hover',
)));

// ================================================================== TikTok
$wp_customize->add_setting('ace_tiktok', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_tiktok', array(
  'label'     => __('TikTok profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_tiktok',
));
// ================================================================== TikTok
$wp_customize->add_setting('ace_tiktok_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_tiktok_bg', array(
	'label'     => __('TikTok icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_tiktok_bg',
)));
// ================================================================== TikTok hover
$wp_customize->add_setting('ace_tiktok_bg_hover', array(
	'default'           => '#fe2c55',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_tiktok_bg_hover', array(
	'label'     => __('TikTok icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_tiktok_bg_hover',
)));

// ================================================================== Google Plus
$wp_customize->add_setting('ace_google_plus', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_google_plus', array(
  'label'     => __('Google Plus profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_google_plus',
));
// ================================================================== Google Plus
$wp_customize->add_setting('ace_google_plus_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_google_plus_bg', array(
	'label'     => __('Google Plus icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_google_plus_bg',
)));
// ================================================================== Google Plus hover
$wp_customize->add_setting('ace_google_plus_bg_hover', array(
	'default'           => '#fd3000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_google_plus_bg_hover', array(
	'label'     => __('Google Plus icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_google_plus_bg_hover',
)));

// ================================================================== Flickr
$wp_customize->add_setting('ace_flickr', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_flickr', array(
  'label'     => __('Flickr profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_flickr',
));
// ================================================================== Flickr
$wp_customize->add_setting('ace_flickr_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_flickr_bg', array(
	'label'     => __('Flickr icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_flickr_bg',
)));
// ================================================================== Flickr hover
$wp_customize->add_setting('ace_flickr_bg_hover', array(
	'default'           => '#fc0077',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_flickr_bg_hover', array(
	'label'     => __('Flickr icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_flickr_bg_hover',
)));

// ================================================================== Linkedin
$wp_customize->add_setting('ace_linkedin', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_linkedin', array(
  'label'     => __('Linkedin profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_linkedin',
));
// ================================================================== Linkedin
$wp_customize->add_setting('ace_linkedin_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_linkedin_bg', array(
	'label'     => __('Linkedin icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_linkedin_bg',
)));
// ================================================================== Linkedin hover
$wp_customize->add_setting('ace_linkedin_bg_hover', array(
	'default'           => '#0d5a7b',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_linkedin_bg_hover', array(
	'label'     => __('Linkedin icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_linkedin_bg_hover',
)));

// ================================================================== YouTube
$wp_customize->add_setting('ace_youtube', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_youtube', array(
  'label'     => __('YouTube profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_youtube',
));
// ================================================================== YouTube
$wp_customize->add_setting('ace_youtube_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_youtube_bg', array(
	'label'     => __('YouTube icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_youtube_bg',
)));
// ================================================================== YouTube hover
$wp_customize->add_setting('ace_youtube_bg_hover', array(
	'default'           => '#ff0000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_youtube_bg_hover', array(
	'label'     => __('YouTube icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_youtube_bg_hover',
)));

// ================================================================== Vimeo
$wp_customize->add_setting('ace_vimeo', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_vimeo', array(
  'label'     => __('Vimeo profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_vimeo',
));
// ================================================================== Vimeo
$wp_customize->add_setting('ace_vimeo_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_vimeo_bg', array(
	'label'     => __('Vimeo icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_vimeo_bg',
)));
// ================================================================== Vimeo hover
$wp_customize->add_setting('ace_vimeo_bg_hover', array(
	'default'           => '#00c1f8',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_vimeo_bg_hover', array(
	'label'     => __('Vimeo icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_vimeo_bg_hover',
)));

// ================================================================== BlogLovin
$wp_customize->add_setting('ace_bloglovin', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_bloglovin', array(
  'label'     => __('BlogLovin profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_bloglovin',
));
// ================================================================== BlogLovin
$wp_customize->add_setting('ace_bloglovin_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_bloglovin_bg', array(
	'label'     => __('BlogLovin icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_bloglovin_bg',
)));
// ================================================================== BlogLovin hover
$wp_customize->add_setting('ace_bloglovin_bg_hover', array(
	'default'           => '#00c4fd',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_bloglovin_bg_hover', array(
	'label'     => __('BlogLovin icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_bloglovin_bg_hover',
)));

// ================================================================== Tumblr
$wp_customize->add_setting('ace_tumblr', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_tumblr', array(
  'label'     => __('Tumblr profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_tumblr',
));
// ================================================================== Tumblr
$wp_customize->add_setting('ace_tumblr_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_tumblr_bg', array(
	'label'     => __('Tumblr icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_tumblr_bg',
)));
// ================================================================== Tumblr hover
$wp_customize->add_setting('ace_tumblr_bg_hover', array(
	'default'           => '#304d6b',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_tumblr_bg_hover', array(
	'label'     => __('Tumblr icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_tumblr_bg_hover',
)));

// ================================================================== Houzz
$wp_customize->add_setting('ace_houzz', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_houzz', array(
  'label'     => __('Houzz profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_houzz',
));
// ================================================================== Houzz
$wp_customize->add_setting('ace_houzz_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_houzz_bg', array(
	'label'     => __('Houzz icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_houzz_bg',
)));
// ================================================================== Houzz hover
$wp_customize->add_setting('ace_houzz_bg_hover', array(
	'default'           => '#7ac142',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_houzz_bg_hover', array(
	'label'     => __('Houzz icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_houzz_bg_hover',
)));

// ================================================================== RSS
$wp_customize->add_setting('ace_rss', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_rss', array(
  'label'     => __('RSS profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_rss',
));
// ================================================================== RSS
$wp_customize->add_setting('ace_rss_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_rss_bg', array(
	'label'     => __('RSS icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_rss_bg',
)));
// ================================================================== RSS hover
$wp_customize->add_setting('ace_rss_bg_hover', array(
	'default'           => '#f49000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_rss_bg_hover', array(
	'label'     => __('RSS icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_rss_bg_hover',
)));

// ================================================================== Email
$wp_customize->add_setting('ace_email', array(
  'default'           => '',
  'capability'        => 'edit_theme_options',
  'sanitize_callback' => 'esc_url_raw',
  'type'              => 'option',
));
$wp_customize->add_control('ace_email', array(
  'label'   => __('Email profile URL', 'ace'),
  'section'   => 'ace_theme_social_media',
  'settings'  => 'ace_email',
));
// ================================================================== Email
$wp_customize->add_setting('ace_email_bg', array(
	'default'           => '#000000',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_email_bg', array(
	'label'     => __('Email icon color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_email_bg',
)));
// ================================================================== Email hover
$wp_customize->add_setting('ace_email_bg_hover', array(
	'default'           => '#aaaaaa',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_email_bg_hover', array(
	'label'     => __('Email icon hover color', 'ace'),
	'section'   => 'ace_theme_social_media',
	'settings'  => 'ace_email_bg_hover',
)));


// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_newsletter', array(
  'title'       => __('Newsletter settings', 'ace'),
  'priority'    => 1007,
  'description' => '',
  'panel'       => 'ace_theme_panel',
));
// ================================================================== Newsletter background
$wp_customize->add_setting('ace_newsletter_bg', array(
	'default'           => '#fbf0ee',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_newsletter_bg', array(
	'label'     => __('Newsletter bar background color', 'ace'),
	'section'   => 'ace_theme_newsletter',
	'settings'  => 'ace_newsletter_bg',
)));
// ================================================================== Newsletter location
$wp_customize->add_setting('ace_newsletter_location', array(
    'capability'        => 'edit_theme_options',
    'type'              => 'option',
    'default'           => 'top',
));
$wp_customize->add_control('ace_newsletter_location', array(
  'settings'  => 'ace_newsletter_location',
  'label'     => __('Newsletter location', 'ace'),
  'section'   => 'ace_theme_newsletter',
  'type'      => 'radio',
  'default'   => 'Top',
  'choices'   => array(
    'Top'	  => 'Top',
    'Bottom'  => 'Bottom',
 ),
));
// ================================================================== Show newsletter on homepage only
$wp_customize->add_setting('ace_newsletter_home', array(
    'capability'  => 'edit_theme_options',
    'type'        => 'option',
));
$wp_customize->add_control('ace_newsletter_home', array(
    'settings'  => 'ace_newsletter_home',
    'label'     => __('Show newsletter on homepage only', 'ace'),
    'section'   => 'ace_theme_newsletter',
    'type'      => 'checkbox',
));
// ================================================================== Newsletter code
$wp_customize->add_setting('ace_newsletter', array(
    'capability'        => 'edit_theme_options',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_newsletter', array(
    'label'     => __('Newsletter', 'ace'),
    'section'   => 'ace_theme_newsletter',
    'settings'  => 'ace_newsletter',
    'type'      => 'textarea',
)));


// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_footer_section_settings', array(
  'title'       => __('Footer section settings', 'ace'),
  'priority'    => 1007,
  'description' => '',
  'panel'       => 'ace_theme_panel',
));

// ================================================================== Show footer section on homepage only
$wp_customize->add_setting('ace_footer_section_home', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control('ace_footer_section_home', array(
  'settings'  => 'ace_footer_section_home',
  'label'     => __('Show footer section on homepage only', 'ace'),
  'section'   => 'ace_footer_section_settings',
  'type'      => 'checkbox',
));
// ================================================================== Footer section background
$wp_customize->add_setting('ace_footer_section_bg', array(
	'default'           => '#ffffff',
	'sanitize_callback' => 'sanitize_hex_color',
	'type'              => 'option',
	'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_footer_section_bg', array(
	'label'     => __('Footer sectionr background color', 'ace'),
	'section'   => 'ace_footer_section_settings',
	'settings'  => 'ace_footer_section_bg',
)));
// ================================================================== Footer section content
$wp_customize->add_setting('ace_footer', array(
  'capability'  => 'edit_theme_options',
  'type'        => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_footer', array(
  'label'     => __('Footer section content', 'ace'),
  'section'   => 'ace_footer_section_settings',
  'settings'  => 'ace_footer',
  'type'      => 'textarea',
)));

// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_theme_404', array(
	'title'       => __('404 page settings', 'ace'),
	'priority'    => 1008,
  'description' => '',
  'panel'       => 'ace_theme_panel',
));
// ================================================================== 404 Error
$wp_customize->add_setting('ace_404_page', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_404_page', array(
  'label'     => __('404 Page Content', 'ace'),
  'section'   => 'ace_theme_404',
  'settings'  => 'ace_404_page',
	'type'      => 'textarea',
)));


    if(class_exists('WooCommerce')) {
    // ====================================================================================================================================
    // Register theme customize section
    // ====================================================================================================================================
    $wp_customize->add_section('ace_theme_woocommerce', array(
        'title'       => __('WooCommerce settings', 'ace'),
        'priority'    => 1009,
      'description' => '',
      'panel'       => 'ace_theme_panel',
   ));
    // ================================================================== WooCommerce cart
    $wp_customize->add_setting('ace_woo_cart_float', array(
      'capability'  => 'edit_theme_options',
      'type'        => 'option',
   ));
    $wp_customize->add_control('ace_woo_cart_float', array(
      'settings'  => 'ace_woo_cart_float',
      'label'     => __('Show floating cart icon on top right', 'ace'),
      'section'   => 'ace_theme_woocommerce',
      'type'      => 'checkbox',
   ));
    // ================================================================== WooCommerce breadcrumb
    $wp_customize->add_setting('ace_woo_breadcrumb', array(
      'capability'  => 'edit_theme_options',
      'type'        => 'option',
   ));
    $wp_customize->add_control('ace_woo_breadcrumb', array(
      'settings'  => 'ace_woo_breadcrumb',
      'label'     => __('Display shop page breadcrumb', 'ace'),
      'section'   => 'ace_theme_woocommerce',
      'type'      => 'checkbox',
   ));
    // ================================================================== WooCommerce layout
    $wp_customize->add_setting('ace_woo_full_width', array(
      'capability'  => 'edit_theme_options',
      'type'        => 'option',
   ));
    $wp_customize->add_control('ace_woo_full_width', array(
      'settings'  => 'ace_woo_full_width',
      'label'     => __('Remove sidebar on product page', 'ace'),
      'section'   => 'ace_theme_woocommerce',
      'type'      => 'checkbox',
   ));
    }


    if(class_exists('LifterLMS')) {
    // ====================================================================================================================================
    // Register theme customize section
    // ====================================================================================================================================
	$wp_customize->add_section('ace_theme_lifterlms', array(
		'title'       => __('LifterLMS settings', 'ace'),
		'priority'    => 1011,
		'description' => '',
		'panel'       => 'ace_theme_panel',
	));
	// ================================================================== WooCommerce menu cart
	$wp_customize->add_setting('ace_lifterlms_lesson_width', array(
		'capability'    => 'edit_theme_options',
		'type'          => 'option',
	));
	$wp_customize->add_control('ace_lifterlms_lesson_width', array(
		'settings'  => 'ace_lifterlms_lesson_width',
		'label'     => __('Show full width on lesson page', 'ace'),
		'section'   => 'ace_theme_lifterlms',
		'type'      => 'checkbox',
	));
    }


// ====================================================================================================================================
// Register theme customize section
// ====================================================================================================================================
$wp_customize->add_section('ace_cookie_consent', array(
    'title'       => __('Cookie consent settings', 'ace'),
    'priority'    => 1050,
    'description' => '',
    'panel'       => 'ace_theme_panel',
));
// ================================================================== Enable cookie consent bar
$wp_customize->add_setting('ace_enable_consent', array(
    'capability'  => 'edit_theme_options',
    'type'        => 'option',
));
$wp_customize->add_control('ace_enable_consent', array(
    'settings'  => 'ace_enable_consent',
    'label'     => __('Enable cookie consent bar', 'ace'),
    'section'   => 'ace_cookie_consent',
    'type'      => 'checkbox',
));
// ================================================================== Cookie expire day
$wp_customize->add_setting('ace_cookie_expire', array(
    'capability'    => 'edit_theme_options',
    'type'          => 'option',
    'default'       => '',
));
$wp_customize->add_control('ace_cookie_expire', array(
    'settings'  => 'ace_cookie_expire',
    'label'    	=> __('Cookie expire day', 'ace'),
    'section'   => 'ace_cookie_consent',
    'type'     	=> 'select',
    'default'  	=> '',
    'choices'   => array(
        '7'     => '7',
        '14'    => '14',
        '30'    => '30',
        '60'    => '60',
        '90'    => '90',
        '365'   => '365',
   ),
));
// ================================================================== Cookie content
$wp_customize->add_setting('ace_cookie_content', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
    'type'              => 'option',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ace_cookie_content', array(
    'label'     => __('Cookie consent', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_content',
    'type'      => 'textarea',
)));
// ================================================================== Close button text
$wp_customize->add_setting('ace_cookie_dismiss', array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
    'type'              => 'option',
));
$wp_customize->add_control('ace_cookie_dismiss', array(
    'label'     => __('Close button text', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_dismiss',
));
// ================================================================== Read more text
$wp_customize->add_setting('ace_cookie_read', array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'wp_kses_post',
    'type'              => 'option',
));
$wp_customize->add_control('ace_cookie_read', array(
    'label'     => __('Read more text', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_read',
));
// ================================================================== Cookie policy page
$wp_customize->add_setting('ace_cookie_read_link', array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    'type'              => 'option',
));
$wp_customize->add_control('ace_cookie_read_link', array(
    'label'     => __('Cookie policy page', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_read_link',
));
// ================================================================== Cookie bar background colour
$wp_customize->add_setting('ace_cookie_bg', array(
    'default'           => '#222222',
    'sanitize_callback' => 'sanitize_hex_color',
    'type'              => 'option',
    'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_cookie_bg', array(
    'label'     => __('Cookie bar background colour', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_bg',
)));
// ================================================================== Cookie bar background colour
$wp_customize->add_setting('ace_cookie_text', array(
    'default'           => '#ffffff',
    'sanitize_callback' => 'sanitize_hex_color',
    'type'              => 'option',
    'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_cookie_text', array(
    'label'     => __('Cookie bar text colour', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_text',
)));
// ================================================================== Cookie bar button colour
$wp_customize->add_setting('ace_cookie_button', array(
    'default'           => '#000000',
    'sanitize_callback' => 'sanitize_hex_color',
    'type'              => 'option',
    'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_cookie_button', array(
    'label'     => __('Cookie bar button colour', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_button',
)));
// ================================================================== Cookie bar button text colour
$wp_customize->add_setting('ace_cookie_button_text', array(
    'default'           => '#ffffff',
    'sanitize_callback' => 'sanitize_hex_color',
    'type'              => 'option',
    'capability'        => 'edit_theme_options',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ace_cookie_button_text', array(
    'label'     => __('Cookie bar background colour', 'ace'),
    'section'   => 'ace_cookie_consent',
    'settings'  => 'ace_cookie_button_text',
)));

// ==================================================================
// END register theme customize
// ==================================================================
}
add_action('customize_register', 'ace_customize_register');
