<?php
/*
Template Name: Home
*/
if( !defined( 'ABSPATH' ) ) { exit; } get_header(); ?>

	<main class="section-wide">

		<?php ace_breadcrumb(); ?>

		<?php if( have_posts() ) : while( have_posts() ) : the_post(); ?>

		<article <?php post_class( 'article article-page' ); ?> id="post-<?php the_ID(); ?>" itemscope itemtype="https://schema.org/CreativeWork">
			<article class="post-content entry-content" itemprop="text">

				<?php if( is_active_sidebar( 'home-widget-1' ) ) : ?>
				<section class="home-widgets home-widgets-content" role="complementary">
					<?php dynamic_sidebar( 'home-widget-1' ); ?>
				</section><!-- .home-widgets -->
				<?php endif; ?>

				<?php if( is_active_sidebar( 'home-widget-2' ) ) : ?>
				<section class="home-widgets home-widgets-columns" role="complementary">
					<?php dynamic_sidebar( 'home-widget-2' ); ?>
				</section><!-- .home-widgets -->
				<?php endif; ?>

				<?php if( is_active_sidebar( 'home-widget-3' ) ) : ?>
				<section class="home-widgets home-widgets-quotation" role="complementary">
					<?php dynamic_sidebar( 'home-widget-3' ); ?>
				</section><!-- .home-widgets -->
				<?php endif; ?>

				<?php if( is_active_sidebar( 'home-widget-4' ) ) : ?>
				<section class="home-widgets" home-widgets-about role="complementary">
					<?php dynamic_sidebar( 'home-widget-4' ); ?>
				</section><!-- .home-widgets -->
				<?php endif; ?>

				<?php if( is_active_sidebar( 'home-widget-5' ) ) : ?>
				<section class="home-widgets" home-widgets-testimonials role="complementary">
					<?php dynamic_sidebar( 'home-widget-5' ); ?>
				</section><!-- .home-widgets -->
				<?php endif; ?>

				<?php if( is_active_sidebar( 'home-widget-6' ) ) : ?>
				<section class="home-widgets home-widgets-recent-blog-posts" role="complementary">
					<?php dynamic_sidebar( 'home-widget-6' ); ?>
				</section><!-- .home-widgets -->
				<?php endif; ?>

			</article><!-- .post-content -->
		</article><!-- .article -->

		<?php endwhile; endif; ?>

	</main><!-- .section -->

<?php get_footer(); ?>