<?php
if ( ! defined( 'ABSPATH' ) ) {
exit;
}
/*
Plugin Name: Bluchic Coming Soon
Description: Setup a coming soon page quickly and easily, so you can work on your site while visitors see the stylish coming-soon page. Simply activate the plugin, select a design and you're ready to go. <strong>Does not work with WordPress Multisite</strong>. Compatible with <a href="http://www.bluchic.com/?utm_source=plugin&utm_medium=coming-soon-banner&utm_campaign=plugin-redirection" target="_blank">Bluchic themes</a>.
Version: 18.02
License: GPL
Author: Bluchic
Author URI: http://www.bluchic.com
Plugin URI: http://www.bluchic.com
*/

/*  Copyright 2011  Bluchic (email : hello@bluchic.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define( 'bluchic_maintain_dir', plugin_dir_path(__FILE__) );
define( 'bluchic_maintain_url', plugin_dir_url(__FILE__) );

// ==================================================================
// Load textdomain
// ==================================================================
function bluchic_maintain_load_textdomain() {
	load_plugin_textdomain( 'bc-launchit', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
}
add_action( 'plugins_loaded', 'bluchic_maintain_load_textdomain' );

// ==================================================================
// Maintain style
// ==================================================================
function bluchic_maintain_style(){

	if( !is_user_logged_in() ) { ?>
		<style type="text/css">
		div, span, object, iframe,
		h1, h2, h3, h4, h5, h6, p, blockquote, pre,
		abbr, address, cite, code,
		del, dfn, em, img, ins, kbd, q, samp,
		small, strong, sub, sup, var,
		b, i,
		dl, dt, dd, ol, ul, li,
		fieldset, form, label, legend,
		main, article, aside, canvas, details, figcaption, figure, 
		footer, header, hgroup, menu, nav, section, summary,
		time, mark, audio, video, body:before, body:after,
		body:before,
		.aside, .sidebar, #aside, #sidebar,
		.container, .wrapper, .wrap, .content, #container, #wrapper, #wrap, #content {display: none !important;}
		body {
		background-image: url('<?php echo bluchic_maintain_url; ?>images/<?php if( get_option( 'layout_option' ) ) { echo get_option( 'layout_option' ); } else { echo 'coming-soon-fall'; } ?>.jpg') !important;
		background-position: center center !important;
		background-repeat: no-repeat !important;
		background-attachment: fixed !important;
		background-size: cover !important;
		background-color: #fff !important;
		filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='.<?php echo bluchic_maintain_url; ?>images/<?php if( get_option( 'layout_option' ) ) { echo get_option( 'layout_option' ); } else { echo 'coming-soon-fall'; } ?>.jpg', sizingMethod='scale') !important;
		-ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo bluchic_maintain_url; ?>images/<?php if( get_option( 'layout_option' ) ) { echo get_option( 'layout_option' ); } else { echo 'coming-soon-fall'; } ?>.jpg', sizingMethod='scale')" !important;
		}
		</style>
	<?php }

}
add_action( 'wp_enqueue_scripts', 'bluchic_maintain_style' );

// ==================================================================
// Options page
// ==================================================================
function bluchic_maintain_menu() {
	add_menu_page( 'Maintenance', 'Maintenance', 'administrator', __FILE__, 'bluchic_maintain_page' );
	add_action( 'admin_init', 'register_mysettings' );
}
add_action( 'admin_menu', 'bluchic_maintain_menu' );

function register_mysettings() {
	register_setting( 'bluchic-maintain-settings', 'layout_option' );
}

function bluchic_maintain_page() { ?>

	<style type="text/css">
		@media all and (max-width: 480px) { .bluchic-options {width: 90%; padding: 2% 5%;} }
		@media all and (min-width: 481px) { .bluchic-options {width: 28%; padding: 2% 5% 2% 0; float: left;} }
		.section-bluchic-options {width: 100%; overflow: hidden;}
		.section-bluchic-options img {max-width: 100%; height: auto;}
	</style>

	<div class="wrap">
		<h2><?php echo _e( 'Bluchic Maintenance Settings', 'bc-launchit' ); ?></h2>
		<p><?php echo _e( '<strong>Select the following template</strong> which allows you to work on your site while non logged in visitors see the coming-soon page.', 'bc-launchit' ); ?></p>
		<form method="post" action="options.php">
			<?php settings_fields( 'bluchic-maintain-settings' ); ?>
			<?php do_settings_sections( 'bluchic-maintain-settings' ); ?>
			<section class="section-bluchic-options">
				<section class="bluchic-options">
				<label for="coming-soon-spring">
					<img src="<?php echo bluchic_maintain_url; ?>/images/coming-soon-spring.jpg" alt="" /><br />
					<input type="radio" name="layout_option" id="coming-soon-spring" value="coming-soon-spring" <?php if( get_option( 'layout_option' ) == 'coming-soon-spring' ) { echo 'checked="checked"'; } ?> />
					<?php echo _e( 'Spring', 'bc-launchit' ); ?>
				</label>
				</section><!-- .bluchic-options -->
				<section class="bluchic-options">
					<label for="coming-soon-summer">
						<img src="<?php echo bluchic_maintain_url; ?>/images/coming-soon-summer.jpg" alt="" /><br />
						<input type="radio" name="layout_option" id="coming-soon-summer" value="coming-soon-summer" <?php if( get_option( 'layout_option' ) == 'coming-soon-summer' ) { echo 'checked="checked"'; } ?> />
						<?php echo _e( 'Summer', 'bc-launchit' ); ?>
					</label>
				</section><!-- .bluchic-options -->
				<section class="bluchic-options">
					<label for="coming-soon-fall">
						<img src="<?php echo bluchic_maintain_url; ?>/images/coming-soon-fall.jpg" alt="" /><br />
						<input type="radio" name="layout_option" id="coming-soon-fall" value="coming-soon-fall" <?php if( get_option( 'layout_option' ) == 'coming-soon-fall' ) { echo 'checked="checked"'; } ?> />
						<?php echo _e( 'Fall', 'bc-launchit' ); ?>
					</label>
				</section><!-- .bluchic-options -->
				<section class="bluchic-options">
					<label for="coming-soon-winter">
						<img src="<?php echo bluchic_maintain_url; ?>/images/coming-soon-winter.jpg" alt="" /><br />
						<input type="radio" name="layout_option" id="coming-soon-winter" value="coming-soon-winter" <?php if( get_option( 'layout_option' ) == 'coming-soon-winter' ) { echo 'checked="checked"'; } ?> />
						<?php echo _e( 'Winter', 'bc-launchit' ); ?>
					</label>
				</section><!-- .bluchic-options -->
			</section><!-- .section-bluchic-options -->

			<p>Credit: Styled images by <a href="<?php echo esc_url( 'http://crtv.mk/fyd1' ); ?>" target="_blank">RW | Productions</a> and Brushy Font by <a href="<?php echo esc_url( 'http://crtv.mk/r024k' ); ?>" target="_blank">Molly Jacques</a></p>

			<?php submit_button(); ?>

		</form>
	</div>

<?php } ?>